<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Float And Clear</title>

    <style>

        .container{
            border: solid deeppink;
            width: 400px;
            height: 400px;
        }

        .black_box{
            float:  left;
            width: 50px;
            height: 50px;
            background-color: black;
        }

        .white_box{

            float: left;
            width: 50px;
            height: 50px;
            background-color: white;
        }
    </style>
</head>


<body>
   <div class="container">

       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>

       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>

       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>

       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>

       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>

       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>

       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>


       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>
       <div class="white_box"></div>
       <div class="black_box"></div>



   </div>
</body>
</html>